Multivariate Pattern Analysis in Python

# mvpa2.support.nibabel.afni_suma_spec.from_any

`mvpa2.support.nibabel.afni_suma_spec.``from_any`(*args)

  Wizard-like function to get a SurfaceSpec instance from any kind of reasonable input.

  Parameters:

  *args: one or multiple arguments.

  > If one argument and a SurfaceSpec, this is returned immediately. If one argument and the name of a file, it returns the contents of the file. Otherwise each argument may refer to a path, a hemisphere (if one of ‘l’,’r’,’b’,’m’, optionally followed by the string ‘h’), a suffix, or an int (this is interpreted as icold); these elments are used to construct a canonical filename using afni_suma_spec.canonical_filename whose result is returned.

  Returns:

  spec: SurfaceSpec

  > spec as defined by parameters (if it is found)